找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 3394|回复: 43

[每日一码] 对于曲线、点、REGIONS、3DSOLID的OVERKILL实现代码

[复制链接]

已领礼包: 20个

财富等级: 恭喜发财

发表于 2017-7-18 19:16:06 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有账号?立即注册

×
1、对于一般的2D/3D曲线的OVERKILL:

  1. (defun c:OVERKILL-MR ( / adoc *error* nolst seg fuzz ss i k sss curve m n ent entl pt ptlst ii zz kk iii curvetst ptt pttlst curves )

  2.   (vl-load-com)
  3.   (setq adoc (vla-get-activedocument (vlax-get-acad-object)))

  4.   (defun *error* ( msg )
  5.     (vla-endundomark adoc)
  6.     (if msg (prompt msg))
  7.     (princ)
  8.   )

  9.   (defun nolst ( st en / lst )
  10.     (repeat (- en st)
  11.       (setq st (1+ st))
  12.       (setq lst (cons st lst))
  13.     )
  14.     (reverse lst)
  15.   )

  16.   (vla-startundomark adoc)
  17.   (initget 6)
  18.   (setq seg (getint "\nNumber of segmentation of testing points along curve [smaller-less accurate but faster/larger-more accurate but slower] <100> : "))
  19.   (if (null seg) (setq seg 100))
  20.   (initget 6)
  21.   (setq fuzz (getreal "\nFuzz factor of distance between testing points and closest points on other testing curve <1e-4> : "))
  22.   (if (null fuzz) (setq fuzz 1e-4))
  23.   (if (ssget "_A" (list (cons 410 (if (= 1 (getvar 'cvport)) (getvar 'ctab) "Model")))) (command "_.-overkill" "all" "" "_o" fuzz "_i" "_a" "_p" "_y" ""))
  24.   (prompt "\nSelect curves for curvekill operation")
  25.   (setq ss (ssget "_:L" '((0 . "*POLYLINE,SPLINE,HELIX,LINE,ARC,CIRCLE,ELLIPSE"))))
  26.   (setq i -1)
  27.   (setq k 0)
  28.   (setq kk 0)
  29.   (setq sss (ssadd))
  30.   (if ss
  31.     (progn
  32.       (while (setq curve (ssname ss (setq i (1+ i))))
  33.         (setq m -1.0)
  34.         (repeat (+ seg 1)
  35.           (setq pt (vlax-curve-getpointatparam curve (+ (vlax-curve-getstartparam curve) (* (setq m (1+ m)) (/ (- (vlax-curve-getendparam curve) (vlax-curve-getstartparam curve)) (float seg))))))
  36.           (if (not (eq m seg))
  37.             (setq ptlst (cons pt ptlst))
  38.             (setq ptlst (cons (vlax-curve-getendpoint curve) ptlst))
  39.           )
  40.         )
  41.         (setq ptlst (vl-remove nil ptlst))
  42.         (setq pt (car ptlst))
  43.         (if (vl-every '(lambda ( x ) (equal x pt fuzz)) ptlst)
  44.           (progn
  45.             (entdel curve)
  46.             (setq k (1+ k))
  47.           )
  48.           (ssadd curve sss)
  49.         )
  50.         (setq ptlst nil)
  51.       )
  52.       (setq ii -1)
  53.       (setq zz -1)
  54.       (repeat (setq n (sslength sss))
  55.         (setq ent (ssname sss (setq n (1- n))))
  56.         (setq entl (cons ent entl))
  57.       )
  58.       (setq entl (vl-sort entl '(lambda ( a b ) (> (vlax-curve-getdistatparam a (vlax-curve-getendparam a)) (vlax-curve-getdistatparam b (vlax-curve-getendparam b))))))
  59.       (setq sss (ssadd))
  60.       (foreach ent entl
  61.         (ssadd ent sss)
  62.       )
  63.       (if (/= (sslength sss) 0)
  64.         (progn
  65.           (while (setq curve (ssname sss (setq ii (1+ ii))))
  66.             (foreach iii (vl-remove ii (if (null (nolst zz (if sss (1- (sslength sss)) zz))) (list ii) (nolst zz (if sss (1- (sslength sss)) zz))))
  67.               (setq curvetst (ssname sss iii))
  68.               (setq m -1.0)
  69.               (repeat (+ seg 1)
  70.                 (setq pt (vlax-curve-getpointatparam curvetst (+ (vlax-curve-getstartparam curvetst) (* (setq m (1+ m)) (/ (- (vlax-curve-getendparam curvetst) (vlax-curve-getstartparam curvetst)) (float seg))))))
  71.                 (if (not (eq m seg))
  72.                   (setq pttlst (cons pt pttlst))
  73.                   (setq pttlst (cons (vlax-curve-getendpoint curve) pttlst))
  74.                 )
  75.               )
  76.               (foreach ptt pttlst
  77.                 (setq ptt (vlax-curve-getclosestpointto curve ptt))
  78.                 (setq ptlst (cons ptt ptlst))
  79.               )
  80.               (setq ptlst (reverse ptlst))
  81.               (if (and
  82.                     (vl-every '(lambda ( a b ) (equal a b fuzz)) ptlst pttlst)
  83.                     (or
  84.                       (if (setq pt (vlax-curve-getpointatparam curvetst (vlax-curve-getparamatpoint curvetst (vlax-curve-getclosestpointto curvetst (vlax-curve-getpointatparam curve (+ (vlax-curve-getstartparam curve) 1e-10)))))) ;; pt is either startpoint of curvetst or some point on curvetst
  85.                         (if (not (equal (distance pt (vlax-curve-getstartpoint curve)) 0.0 fuzz))
  86.                           ;; startpoint of curve is not equal to startpoint of curvetst
  87.                           (if (setq pt (vlax-curve-getpointatparam curve (vlax-curve-getparamatpoint curve (vlax-curve-getclosestpointto curve (vlax-curve-getstartpoint curvetst))))) ;; pt is either startpoint of curve or some point on curve
  88.                             (equal (distance pt (vlax-curve-getstartpoint curvetst)) 0.0 fuzz) ;; startpoint of curvetst "closely belongs" to curve and is not equal to startpoint of curve as it belongs to then statement of if function that checked that startpoint of curve is not equal to startpoint of curvetst
  89.                           )
  90.                           (or
  91.                             (equal (distance (vlax-curve-getstartpoint curve) (vlax-curve-getstartpoint curvetst)) 0.0 fuzz) ;; startpoint of curve is equal to startpoint of curvetst
  92.                             (equal (distance (vlax-curve-getstartpoint curve) (vlax-curve-getendpoint curvetst)) 0.0 fuzz) ;; startpoint of curve is equal to endpoint of curvetst
  93.                             (equal (distance (vlax-curve-getendpoint curve) (vlax-curve-getstartpoint curvetst)) 0.0 fuzz) ;; endpoint of curve is equal to startpoint of curvetst
  94.                             (equal (distance (vlax-curve-getendpoint curve) (vlax-curve-getendpoint curvetst)) 0.0 fuzz) ;; endpoint of curve is equal to endpoint of curvetst
  95.                           ) ;; or checks coincidence of start/end points of curve and curvetst and for cases of reversed curves
  96.                         )
  97.                       )
  98.                       (if (setq pt (vlax-curve-getpointatparam curvetst (vlax-curve-getparamatpoint curvetst (vlax-curve-getclosestpointto curvetst (vlax-curve-getpointatparam curve (- (vlax-curve-getendparam curve) 1e-10)))))) ;; pt is either endpoint of curvetst or some point on curvetst
  99.                         (if (not (equal (distance pt (vlax-curve-getendpoint curvetst)) 0.0 fuzz))
  100.                           ;; endpoint of curve is not equal to endpoint of curvetst
  101.                           (if (setq pt (vlax-curve-getpointatparam curve (vlax-curve-getparamatpoint curve (vlax-curve-getclosestpointto curve (vlax-curve-getendpoint curvetst))))) ;; pt is either endpoint of curve or some point on curve
  102.                             (equal (distance pt (vlax-curve-getstartpoint curvetst)) 0.0 fuzz) ;; endpoint of curvetst "closely belongs" to curve and is not equal to endpoint of curve as it belongs to then statement of if function that checked that endpoint of curve is not equal to endpoint of curvetst
  103.                           )
  104.                           (or
  105.                             (equal (distance (vlax-curve-getstartpoint curve) (vlax-curve-getstartpoint curvetst)) 0.0 fuzz) ;; startpoint of curve is equal to startpoint of curvetst
  106.                             (equal (distance (vlax-curve-getstartpoint curve) (vlax-curve-getendpoint curvetst)) 0.0 fuzz) ;; startpoint of curve is equal to endpoint of curvetst
  107.                             (equal (distance (vlax-curve-getendpoint curve) (vlax-curve-getstartpoint curvetst)) 0.0 fuzz) ;; endpoint of curve is equal to startpoint of curvetst
  108.                             (equal (distance (vlax-curve-getendpoint curve) (vlax-curve-getendpoint curvetst)) 0.0 fuzz) ;; endpoint of curve is equal to endpoint of curvetst
  109.                           ) ;; or checks coincidence of start/end points of curve and curvetst and for cases of reversed curves
  110.                         )
  111.                       )
  112.                     ) ;; curvetst is "inside" or equal to curve
  113.                   )
  114.                 (if (not (vl-position curve curves))
  115.                   (setq curves (cons curvetst curves))
  116.                 )
  117.               )
  118.               (setq ptlst nil pttlst nil)
  119.             )
  120.           )
  121.           (foreach curve curves
  122.             (setq kk (1+ kk))
  123.             (entdel curve)
  124.           )
  125.         )
  126.       )
  127.     )
  128.   )
  129.   (prompt "\nTotal : ")(princ kk)(prompt " duplicate-curves erased")
  130.   (prompt "\nTotal : ")(princ k)(prompt " zero-curves erased")
  131. ;  (command "_.-purge" "_b" "" "_n")
  132. ;  (command "_.-purge" "_de" "" "_n")
  133. ;  (command "_.-purge" "_d" "" "_n")
  134. ;  (command "_.-purge" "_g" "" "_n")
  135. ;  (command "_.-purge" "_la" "" "_n")
  136. ;  (command "_.-purge" "_lt" "" "_n")
  137. ;  (command "_.-purge" "_ma" "" "_n")
  138. ;  (command "_.-purge" "_mu" "" "_n")
  139. ;  (command "_.-purge" "_p" "" "_n")
  140. ;  (command "_.-purge" "_sh" "" "_n")
  141. ;  (command "_.-purge" "_st" "" "_n")
  142. ;  (command "_.-purge" "_m" "" "_n")
  143. ;  (command "_.-purge" "_se" "" "_n")
  144. ;  (command "_.-purge" "_t" "" "_n")
  145. ;  (command "_.-purge" "_v" "" "_n")
  146. ;  (command "_.-purge" "_r" "" "_n")
  147.   (command "_.-purge" "_z")
  148.   (command "_.-purge" "_e")
  149.   (*error* nil)
  150. )




2、对于2D/3D 点的OVERKILL:

  1. (defun c:overkill-pts ( / ss i ent entptlst k subentptlst )
  2.   (setq ss (ssget "_:L" '((0 . "POINT"))))
  3.   (repeat (setq i (sslength ss))
  4.     (setq ent (ssname ss (setq i (1- i))))
  5.     (setq entptlst (cons (list ent (cdr (assoc 10 (entget ent)))) entptlst))
  6.   )
  7.   (setq k 0)
  8.   (foreach entpt entptlst
  9.     (setq subentptlst (vl-remove nil (mapcar '(lambda ( x ) (if (equal (cadr entpt) (cadr x) 1e-6) x)) entptlst)))
  10.     (setq subentptlst (vl-remove entpt subentptlst))
  11.     (foreach subentpt subentptlst
  12.       (if (entget (car subentpt))
  13.         (progn
  14.           (setq k (1+ k))
  15.           (entdel (car subentpt))
  16.         )
  17.       )
  18.     )
  19.     (if (not (entget (car entpt)))
  20.       (progn
  21.         (entdel (car entpt))
  22.         (setq k (1- k))
  23.       )
  24.     )
  25.   )
  26.   (prompt "\nTotal : ") (princ k) (prompt " duplicate point entities deleted...")
  27.   (princ)
  28. )



3、对于 REGIONS的OVERKILL

  1. (defun c:overkill-regs ( / *error* nolst v^v unit *adoc* ucs ucsf fuzzar fuzzce ss i ii zz kk sss reg ar n x y p ce regtst art cet regs )

  2.   (vl-load-com)

  3.   (defun *error* ( msg )
  4.     (while (not (eq (getvar 'worlducs) 1))
  5.       (command "_.UCS" "_P")
  6.     )
  7.     (if ucsf (command "_.UCS" "_P"))
  8.     (vla-endundomark *adoc*)
  9.     (if msg (prompt msg))
  10.     (princ)
  11.   )

  12.   (defun nolst ( st en / lst )
  13.     (repeat (- en st)
  14.       (setq st (1+ st))
  15.       (setq lst (cons st lst))
  16.     )
  17.     (reverse lst)
  18.   )

  19.   (defun v^v ( u v )
  20.     (mapcar '(lambda ( s1 s2 a b ) (+ ((eval s1) (* (nth a u) (nth b v))) ((eval s2) (* (nth a v) (nth b u))))) '(+ - +) '(- + -) '(1 0 0) '(2 2 1))
  21.   )

  22.   (defun unit ( v )
  23.     (mapcar '(lambda ( x ) (/ x (distance '(0.0 0.0 0.0) v))) v)
  24.   )

  25.   (alert "Routine is extremely slow - over 5 secs for a region (even more if over 100 regions) + you have to apply it on duplicates that are exact visual match in order for routine to do what it's supposed to, so please reconsider if you want to use it - use it only if you have no other better choice...")
  26.   (setq *adoc* (vla-get-activedocument (vlax-get-acad-object)))
  27.   (vla-startundomark *adoc*)
  28.   (if (eq (getvar 'worlducs) 0)
  29.     (progn
  30.       (command "_.UCS" "_W")
  31.       (setq ucsf t)
  32.     )
  33.   )
  34.   (initget 6)
  35.   (setq fuzzar (getreal "\nFuzz factor of difference between testing area values <0.1> : "))
  36.   (if (null fuzzar) (setq fuzzar 0.1))
  37.   (initget 6)
  38.   (setq fuzzce (getreal "\nFuzz factor of distance between testing centroids <0.1> : "))
  39.   (if (null fuzzce) (setq fuzzce 0.1))
  40.   (prompt "\nSelect regions for kill operation")
  41.   (setq ss (ssget "_:L" '((0 . "REGION"))))
  42.   (setq i -1 ii -1 zz -1 kk 0 sss (ssadd))
  43.   (repeat (sslength ss)
  44.     (ssadd (ssname ss (setq i (1+ i))) sss)
  45.   )
  46.   (if ss
  47.     (progn
  48.       (while (setq reg (ssname ss (setq ii (1+ ii))))
  49.         (setq ar (vla-get-area (vlax-ename->vla-object reg)))
  50.         (setq n (vlax-safearray->list (vlax-variant-value (vla-get-normal (vlax-ename->vla-object reg)))))
  51.         (if (equal (v^v n '(0.0 0.0 1.0)) '(0.0 0.0 0.0) 1e-6)
  52.           (setq x '(1.0 0.0 0.0) y '(0.0 1.0 0.0))
  53.           (setq x (unit (v^v n '(0.0 0.0 1.0))) y (unit (v^v n x)))
  54.         )
  55.         (command "_.explode" reg)
  56.         (while
  57.           (> (getvar 'cmdactive) 0)
  58.           (command "")
  59.         )
  60.         (setq p (vlax-curve-getstartpoint (entlast)))
  61.         (command "_.undo")
  62.         (while
  63.           (> (getvar 'cmdactive) 0)
  64.           (command "")
  65.         )
  66.         (setq ucs (vla-add (vla-get-usercoordinatesystems *adoc*) (vlax-3d-point p) (vlax-3d-point (mapcar '+ p x)) (vlax-3d-point (mapcar '+ p y)) "{ UCS }"))
  67.         (vla-put-activeucs *adoc* ucs)
  68.         (command "_.UCS" "_D" "{ UCS }")
  69.         (vlax-release-object ucs)
  70.         (setq ce (trans (vlax-safearray->list (vlax-variant-value (vla-get-centroid (vlax-ename->vla-object reg)))) 1 0))
  71.         (while (not (eq (getvar 'worlducs) 1))
  72.           (command "_.UCS" "_P")
  73.         )
  74.         (foreach iii (vl-remove ii (if (null (nolst zz (if sss (1- (sslength sss)) zz))) (list ii) (nolst zz (if sss (1- (sslength sss)) zz))))
  75.           (setq regtst (ssname ss iii))
  76.           (setq art (vla-get-area (vlax-ename->vla-object regtst)))
  77.           (setq n (vlax-safearray->list (vlax-variant-value (vla-get-normal (vlax-ename->vla-object regtst)))))
  78.           (if (equal (v^v n '(0.0 0.0 1.0)) '(0.0 0.0 0.0) 1e-6)
  79.             (setq x '(1.0 0.0 0.0) y '(0.0 1.0 0.0))
  80.             (setq x (unit (v^v n '(0.0 0.0 1.0))) y (unit (v^v n x)))
  81.           )
  82.           (command "_.explode" regtst)
  83.           (while
  84.             (> (getvar 'cmdactive) 0)
  85.             (command "")
  86.           )
  87.           (setq p (vlax-curve-getstartpoint (entlast)))
  88.           (command "_.undo")
  89.           (while
  90.             (> (getvar 'cmdactive) 0)
  91.             (command "")
  92.           )
  93.           (setq ucs (vla-add (vla-get-usercoordinatesystems *adoc*) (vlax-3d-point p) (vlax-3d-point (mapcar '+ p x)) (vlax-3d-point (mapcar '+ p y)) "{ UCS }"))
  94.           (vla-put-activeucs *adoc* ucs)
  95.           (command "_.UCS" "_D" "{ UCS }")
  96.           (vlax-release-object ucs)
  97.           (setq cet (trans (vlax-safearray->list (vlax-variant-value (vla-get-centroid (vlax-ename->vla-object regtst)))) 1 0))
  98.           (while (not (eq (getvar 'worlducs) 1))
  99.             (command "_.UCS" "_P")
  100.           )
  101.           (if
  102.             (and
  103.               (equal ar art fuzzar)
  104.               (equal ce cet fuzzce)
  105.             )
  106.             (if (not (vl-position reg regs))
  107.               (setq regs (cons regtst regs))
  108.             )
  109.           )
  110.           (setq art nil cet nil)
  111.         )
  112.       )
  113.       (foreach reg regs
  114.         (setq kk (1+ kk))
  115.         (entdel reg)
  116.       )
  117.     )
  118.   )
  119.   (prompt "\nTotal : ")(princ kk)(prompt " duplicate-regions erased")
  120.   (*error* nil)
  121. )


4、对于3DSOLIDS的OVERKILL:

游客,如果您要查看本帖隐藏内容请回复

评分

参与人数 1D豆 +5 收起 理由
/db_自贡黄明儒_ + 5 很给力!经验;技术要点;资料分享奖!

查看全部评分

论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!

已领礼包: 2476个

财富等级: 金玉满堂

发表于 2017-7-18 22:23:04 | 显示全部楼层
这个强大,不知道效率怎么样..
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 26个

财富等级: 恭喜发财

发表于 2017-7-18 22:26:38 | 显示全部楼层
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复

使用道具 举报

已领礼包: 6881个

财富等级: 富甲天下

发表于 2017-7-19 07:46:36 | 显示全部楼层
太复杂了
谢谢领导
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 5585个

财富等级: 富甲天下

发表于 2017-7-19 07:55:23 | 显示全部楼层
感谢大师分享代码!!!
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 326个

财富等级: 日进斗金

发表于 2017-7-19 09:39:23 | 显示全部楼层
好强大的程序,谢谢分享!
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 496个

财富等级: 日进斗金

发表于 2017-8-2 15:10:56 | 显示全部楼层
谢谢大师无私!
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 5060个

财富等级: 富甲天下

发表于 2017-9-6 19:49:44 | 显示全部楼层
#在这里对于3DSOLIDS的OVERKILL:快速回复#
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 3729个

财富等级: 富可敌国

发表于 2017-9-6 22:38:13 | 显示全部楼层
回复学习学习!
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 604个

财富等级: 财运亨通

发表于 2017-10-1 22:43:47 | 显示全部楼层
对于没有装ET工具时,很有用。感谢分享。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 6468个

财富等级: 富甲天下

发表于 2017-10-2 00:04:13 | 显示全部楼层
谢谢分享。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复

使用道具 举报

发表于 2017-11-16 23:12:05 | 显示全部楼层

这个强大,不知道效率怎么
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 1336个

财富等级: 财源广进

发表于 2018-2-28 22:29:44 | 显示全部楼层
看下这个高级命令!谢谢老大!

论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 6468个

财富等级: 富甲天下

发表于 2018-3-1 00:01:33 | 显示全部楼层
太强大了。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复

使用道具 举报

发表于 2018-3-1 03:48:43 来自手机 | 显示全部楼层
感谢大师分享代码!!
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|Archiver|手机版|小黑屋|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )

GMT+8, 2024-4-25 16:26 , Processed in 0.199579 second(s), 57 queries , Gzip On.

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表